/*
 * Automount for USB Nomad Jukebox filesystem for Linux.
 *
 * Copyright (C) 2001 Jrg Prante <joergprante@gmx.de>
 *
 * based on ftpfs by Florin Malita <fmalita@yahoo.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#include <stdlib.h>
#include <stdio.h>
#include <string.h>

int main(int argc, char **argv)
{

	char *virtualdirectory;	/* "tracks", "playlists", "artists", "albums" */

	if ((argc < 2) ||
	    (strcmp("tracks", argv[1]) &&
	     strcmp("playlists", argv[1]) &&
	     strcmp("artists", argv[1]) && strcmp("albums", argv[1]))) {

		fprintf(stderr,
			"Need virtual directory name here: 'tracks', 'playlists', 'albums' or 'artists'\n");
		exit(-1);
	}

	virtualdirectory = argv[1];
	printf("-fstype=njbfs,dir=%s none\n", virtualdirectory);
	return 0;
}
