#ifndef _NJBFS_PROC_H_
#define _NJBFS_PROC_H_

#include "njbfs_cache.h"

void njbfs_init_root_dirent(struct njbfs_sb_info *, struct njbfs_fattr *);
int njbfs_parse_options(struct njbfs_sb_info *, void *);
int njbfs_connect(struct njbfs_sb_info *);
void njbfs_disconnect(struct njbfs_sb_info *);
int njbfs_loaddir(struct njbfs_sb_info *, char *,
		  struct njbfs_directory *);
int njbfs_get_name(struct dentry *, char *);
inline void njbfs_lock(struct njbfs_sb_info *);
inline void njbfs_unlock(struct njbfs_sb_info *);
int njbfs_get_attr(struct dentry *, struct njbfs_fattr *,
		   struct njbfs_sb_info *);
struct inode *njbfs_iget(struct super_block *, struct njbfs_fattr *);
int njbfs_read(struct dentry *, unsigned long, unsigned long, char *);
int njbfs_proc_mkdir(struct njbfs_sb_info *, char *);
int njbfs_proc_rmdir(struct njbfs_sb_info *, char *);
int njbfs_proc_rename(struct njbfs_sb_info *, struct inode *,
		      struct dentry *, struct inode *, struct dentry *);
int njbfs_proc_unlink(struct njbfs_sb_info *, char *);
int njbfs_proc_create(struct njbfs_sb_info *, char *);
int njbfs_write(struct dentry *, unsigned long, unsigned long, char *);

#endif
