/*----------------------------------------------------------------------
 *
 * Copyright (C) 2001  Karl Backstrom <backstrom@kde.org>
 *
 * based on rio500_usb.h by Gabriel Gomiz  (gomita@bblanca.com.ar)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * ----------------------------------------------------------------------
 */



#define NOMAD_SEND_COMMAND			0x1
#define NOMAD_RECV_COMMAND			0x2
#define NOMAD_RESET_PIPES                       0x3

#define NOMAD_DIR_OUT               	        0x0
#define NOMAD_DIR_IN				0x1

struct Nomad_cmd {
	short length;
	int request;
	int requesttype;
	int value;
	int index;
	void *buffer;
	int timeout;
};



#define NOMAD_MINOR   96
//#define NOMAD_IF      0
#define MAX_NO_OF_DEVICES 4

/* stall/wait timeout for nomad II? */
#define NAK_TIMEOUT (HZ)

#define IBUF_SIZE 0x1000

/* Size of the nomad II buffer */
#define OBUF_SIZE 0xFE00

/* Endpoint codes */

#define ENDPOINT_CONTROL               0
#define ENDPOINT_INTERRUPT_READ        4
#define ENDPOINT_INTERRUPT_WRITE       3
#define ENDPOINT_BULK_READ             2
#define ENDPOINT_BULK_WRITE            1


struct nomad_info {
	char *name;
};

struct nomad_usb_data {
	struct usb_device *nomad_dev;	/* init: probe_nomad */
	unsigned int ifnum;	/* Interface number of the USB device */
	int isopen;		/* nz if open */
	int present;		/* Device is present on the bus */
	char *obuf, *ibuf;	/* transfer buffers */
	char bulk_in_ep, bulk_out_ep;	/* Endpoint assignments */
	wait_queue_head_t wait_q;	/* for timeouts */
	struct semaphore lock;	/* general race avoidance */
	char name[128];
	struct nomad_info *info;
	int device_counter;
	u_int64_t libcount;	/* NJB library counter */
	unsigned char id[16];	/* NJB ID */
	char idstring[33];	/* NJB ID String */
	u_int64_t total;	/* result of last get usage call */
	u_int64_t free;		/* result of last get usage call */
	int captured;		/* if device is captured */
	int session_updated;
};
