#ifndef _NJB_TRACK_H_
#define _NJB_TRACK_H_


extern track_t *track_new(void);
extern track_t *track_unpack(void *data, size_t nbytes);
extern unsigned char *track_pack(track_t * track, u_int32_t * size);
extern void track_destroy(track_t * track);
extern void track_reset_getframe(track_t * track);
extern track_frame_t *track_getframe(track_t * track);
extern track_frame_t *track_findframe(track_t * track, const char *label);
extern track_frame_t *track_newframe(u_int16_t labelsz, const void *label,
				     u_int16_t type, u_int16_t datasz,
				     const void *data);
extern void track_addframe(track_t * track, track_frame_t * frame);
extern void track_replaceframe(track_t * track, track_frame_t * oldframe,
			       track_frame_t * newframe);
extern void track_frame_destroy(track_frame_t * frame);
extern void track_updateframe(track_t * track, track_frame_t * frame);

#endif
